commit:     57ccbb375bd197f1800e1df48174ef78e2df75d0
Author:     Dennis Lamm <expeditioneer <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 30 16:17:10 2021 +0000
Commit:     Dennis Lamm <expeditioneer <AT> gentoo <DOT> org>
CommitDate: Thu Dec 30 17:40:06 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=57ccbb37

dev-libs/cereal: fix bug #824510

Closes: https://bugs.gentoo.org/824510
Signed-off-by: Dennis Lamm <expeditioneer <AT> gentoo.org>
Package-Manager: Portage-3.0.28, Repoman-3.0.3
Closes: https://github.com/gentoo/gentoo/pull/23585
Signed-off-by: Dennis Lamm <expeditioneer <AT> gentoo.org>

 dev-libs/cereal/Manifest               |  1 +
 dev-libs/cereal/cereal-1.3.0-r2.ebuild | 44 ++++++++++++++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/dev-libs/cereal/Manifest b/dev-libs/cereal/Manifest
index 3b9b3fe3ed8e..ab0042cb5f58 100644
--- a/dev-libs/cereal/Manifest
+++ b/dev-libs/cereal/Manifest
@@ -1 +1,2 @@
+DIST cereal-1.3.0-fix-doctest.patch 148684 BLAKE2B 
6ab6263db5b787b3ae41b9c177df19554f17837d5bb496de887f1d2d2df28c280e038fe64f0986ce3a32cedb709249a9986f6869b6e21b7c3a4b27058739496f
 SHA512 
6389bead42f2f8008e6296f3d5ff5fc7a94920972c774003080fd3ae24ea0fd8fa1c4ab940ab800ab6b3249db003e452fd98a9ed77e5ffbdb301311fc2972a6f
 DIST cereal-1.3.0.tar.gz 374585 BLAKE2B 
67bcdf8715585d8913c6ae4ff1a20d77df0eb95816b37a77620a3f08000b6e911afbd295236a6cd0394d3242ae0a3b2619f6e168503724517c9c66bc20f1d07c
 SHA512 
2bb640a222d4efe7c624c6ec3e755fecae00ef59e91c4db462e233546c5afe73c065ba1d16d9600f7cd3cc185593109148008b0b2b870208e2f1d6984fd40c72

diff --git a/dev-libs/cereal/cereal-1.3.0-r2.ebuild 
b/dev-libs/cereal/cereal-1.3.0-r2.ebuild
new file mode 100644
index 000000000000..13631891d50a
--- /dev/null
+++ b/dev-libs/cereal/cereal-1.3.0-r2.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake
+
+DESCRIPTION="Header-only C++11 serialization library"
+HOMEPAGE="https://uscilab.github.io/cereal/";
+SRC_URI="
+       https://github.com/USCiLab/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz
+       https://dev.gentoo.org/~expeditioneer/patches/${P}-fix-doctest.patch";
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+doc test"
+
+RESTRICT="!test? ( test )"
+
+DEPEND="test? ( dev-libs/boost )"
+
+PATCHES=( "${DISTDIR}/${P}-fix-doctest.patch" )
+
+src_prepare() {
+       sed -i -e '/set(CMAKE_CXX_FLAGS "-Wall -g -Wextra -Wshadow -pedantic 
-Wold-style-cast ${CMAKE_CXX_FLAGS}")/d' CMakeLists.txt || die
+
+       if ! use doc ; then
+               sed -i -e '/add_subdirectory(doc/d' CMakeLists.txt || die
+       fi
+
+       cmake_src_prepare
+}
+
+src_configure() {
+       local CMAKE_BUILD_TYPE="Release"
+
+       local mycmakeargs=(
+               -DJUST_INSTALL_CEREAL=$(usex !test)
+               -DSKIP_PORTABILITY_TEST=ON
+               -DWITH_WERROR=OFF
+       )
+       cmake_src_configure
+}

Reply via email to